Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tomcat.util.digester
Class GenericParser

    java.lang.Object
      org.apache.tomcat.util.digester.GenericParser

    public class GenericParser

extends Object

Create a `SAXParser` configured to support XML Schema and DTD.

Since:
  1.6

Field Summary
`protected static String` | `JAXP_SCHEMA_LANGUAGE` The JAXP 1.2 property to set up the schemaLanguage used.

Constructor Summary
`GenericParser()`

Method Summary
`static SAXParser` | `newSAXParser(Properties properties)` Create a `SAXParser` configured to support XML Schema and DTD

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### JAXP_SCHEMA_LANGUAGE

    protected static String JAXP_SCHEMA_LANGUAGE

  The JAXP 1.2 property to set up the schemaLanguage used.

Constructor Detail

### GenericParser

    public GenericParser()

Method Detail

### newSAXParser

    public static SAXParser newSAXParser(Properties properties)
                                  throws ParserConfigurationException,
                                         SAXException,
                                         SAXNotRecognizedException

  Create a `SAXParser` configured to support XML Schema and DTD

  Parameters:
    `properties` - parser specific properties/features
  Returns:
    an XML Schema/DTD enabled `SAXParser`
  Throws:
    `ParserConfigurationException`
    `SAXException`
    `SAXNotRecognizedException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.